# Difference Between Active and Passive Components in Electronics

## 🔋 Active Components

Active components are electronic devices that **can amplify signals**, **control current**, or **produce energy**. They require an external power source to function.

### Examples:
- **Transistors** – Amplify or switch electronic signals
- **Diodes** (including LEDs) – Allow current in one direction, used in rectification
- **Integrated Circuits (ICs)** – Contain multiple active and passive components

### Key Features:
- Require external power to operate
- Can **inject power** into a circuit
- Can **control the flow** of electricity
- Used for **amplification**, **signal processing**, and **switching**

---

## 🔌 Passive Components

Passive components cannot amplify or generate power. They only **respond to** the electrical signals applied to them.

### Examples:
- **Resistors** – Limit current flow
- **Capacitors** – Store and release energy as an electric field
- **Inductors** – Store energy in a magnetic field
- **Transformers** – Transfer energy between circuits via magnetic fields

### Key Features:
- Do **not require** external power to operate
- **Cannot amplify** signals
- Used for **filtering**, **energy storage**, **tuning**, and **impedance matching**

---

## ⚖️ Quick Analogy

- **Passive Component**: Like a **valve or container** — it regulates or stores energy.
- **Active Component**: Like a **pump** — it can **add energy** and control the system dynamically.

---
# 🔋 10 Active Electronic Components

![Active Components](./active_components_symbols.png)

# 🔌 10 Passive Electronic Components
![Passive Components](./passive_components_symbols.png)

------
